"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DEFAULT_ALERTING_ROUTE_SECURITY = void 0;
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/**
 * This constant is used as the default value for the security object in routes
 * where a reason for opting out needs to be provided.
 */
const DEFAULT_ALERTING_ROUTE_SECURITY = exports.DEFAULT_ALERTING_ROUTE_SECURITY = {
  authz: {
    enabled: false,
    reason: "This route is opted out from authorization because alerting uses it's own authorization model inside the alerts client."
  }
};