"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UserAgentSummaryItem = UserAgentSummaryItem;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _i18n = require("@kbn/i18n");
var _styled = _interopRequireDefault(require("@emotion/styled"));
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const Version = (0, _styled.default)('span')`
  font-size: ${() => (0, _eui.useEuiFontSize)('s').fontSize};
`;
function UserAgentSummaryItem({
  name,
  version
}) {
  return /*#__PURE__*/_react.default.createElement(_eui.EuiToolTip, {
    content: _i18n.i18n.translate('xpack.apm.transactionDetails.userAgentAndVersionLabel', {
      defaultMessage: 'User agent & version'
    })
  }, /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, name, "\xA0", version && /*#__PURE__*/_react.default.createElement(Version, null, "(", version, ")")));
}