"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useEntityCentricExperienceSetting = useEntityCentricExperienceSetting;
var _common = require("@kbn/observability-plugin/common");
var _use_apm_plugin_context = require("../context/apm_plugin/use_apm_plugin_context");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function useEntityCentricExperienceSetting() {
  const {
    core
  } = (0, _use_apm_plugin_context.useApmPluginContext)();
  const isEntityCentricExperienceEnabled = core.uiSettings.get(_common.entityCentricExperience, false);
  return {
    isEntityCentricExperienceEnabled
  };
}