"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AuthSelection = void 0;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var i18n = _interopRequireWildcard(require("./translations"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const AUTH_OPTIONS = ['Basic', 'OAuth2', 'Digest', 'API Token'];
const isRecommended = (auth, specDefinedAuthTypes) => {
  return specDefinedAuthTypes.includes(auth);
};
const AuthSelection = exports.AuthSelection = /*#__PURE__*/_react.default.memo(({
  selectedAuth,
  specifiedAuthForPath,
  invalidAuth,
  isGenerating,
  showValidation,
  onChangeAuth
}) => {
  const options = AUTH_OPTIONS.map(option => ({
    id: option,
    label: option,
    ...(isRecommended(option, specifiedAuthForPath) && {
      append: /*#__PURE__*/_react.default.createElement(_eui.EuiBadge, null, i18n.RECOMMENDED)
    })
  }));
  return /*#__PURE__*/_react.default.createElement(_eui.EuiFormRow, {
    fullWidth: true,
    "data-test-subj": "confirmAuth"
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, null, /*#__PURE__*/_react.default.createElement(_eui.EuiTitle, {
    size: "xs"
  }, /*#__PURE__*/_react.default.createElement("h4", null, i18n.CONFIRM_AUTH)), /*#__PURE__*/_react.default.createElement(_eui.EuiSpacer, {
    size: "s"
  }), /*#__PURE__*/_react.default.createElement(_eui.EuiText, {
    size: "s"
  }, i18n.CONFIRM_AUTH_DESCRIPTION), /*#__PURE__*/_react.default.createElement(_eui.EuiSpacer, {
    size: "m"
  }), /*#__PURE__*/_react.default.createElement(_eui.EuiFormRow, {
    label: i18n.AUTH_SELECTION_TITLE,
    fullWidth: true,
    isInvalid: showValidation && selectedAuth === undefined,
    error: i18n.AUTH_REQUIRED
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiComboBox, {
    singleSelection: {
      asPlainText: true
    },
    fullWidth: true,
    isDisabled: isGenerating,
    isInvalid: showValidation && selectedAuth === undefined,
    options: options,
    selectedOptions: selectedAuth === undefined ? undefined : [{
      label: selectedAuth
    }],
    onChange: onChangeAuth,
    "data-test-subj": "authInputComboBox"
  })), invalidAuth && /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, null, /*#__PURE__*/_react.default.createElement(_eui.EuiSpacer, {
    size: "m"
  }), /*#__PURE__*/_react.default.createElement(_eui.EuiCallOut, {
    title: i18n.AUTH_DOES_NOT_ALIGN,
    size: "s",
    color: "warning",
    iconType: "warning",
    "data-test-subj": "authDoesNotAlignWarning"
  }))));
});
AuthSelection.displayName = 'AuthSelection';