"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.handleUpdateProgramHeaderAuth = handleUpdateProgramHeaderAuth;
var _output_parsers = require("@langchain/core/output_parsers");
var _prompts = require("./prompts");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

async function handleUpdateProgramHeaderAuth({
  state,
  model
}) {
  const outputParser = new _output_parsers.StringOutputParser();
  const updateCelProgramHeadersGraph = _prompts.CEL_AUTH_HEADERS_PROMPT.pipe(model).pipe(outputParser);
  const updatedProgram = await updateCelProgramHeadersGraph.invoke({
    cel_program: state.currentProgram,
    open_api_auth_schema: state.openApiAuthSchema
  });
  return {
    currentProgram: updatedProgram.trim(),
    lastExecutedChain: 'updateProgramHeaderAuth'
  };
}