"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RefreshControl = void 0;
var _react = _interopRequireWildcard(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _eui = require("@elastic/eui");
var _i18n = require("@kbn/i18n");
var _reactRedux = require("react-redux");
var _elements = require("../../../state/actions/elements");
var _resolved_args = require("../../../state/selectors/resolved_args");
var _tool_tip_shortcut = require("../../tool_tip_shortcut");
var _use_canvas_api = require("../../hooks/use_canvas_api");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

// @ts-expect-error untyped local

const strings = {
  getRefreshAriaLabel: () => _i18n.i18n.translate('xpack.canvas.workpadHeaderRefreshControlSettings.refreshAriaLabel', {
    defaultMessage: 'Refresh Elements'
  }),
  getRefreshTooltip: () => _i18n.i18n.translate('xpack.canvas.workpadHeaderRefreshControlSettings.refreshTooltip', {
    defaultMessage: 'Refresh data'
  })
};
const RefreshControl = () => {
  const dispatch = (0, _reactRedux.useDispatch)();
  const inFlight = (0, _reactRedux.useSelector)(_resolved_args.getInFlight);
  const canvasApi = (0, _use_canvas_api.useCanvasApi)();
  const doRefresh = (0, _react.useCallback)(() => {
    canvasApi.reload();
    dispatch((0, _elements.fetchAllRenderables)());
  }, [canvasApi, dispatch]);
  return /*#__PURE__*/_react.default.createElement(_eui.EuiToolTip, {
    position: "bottom",
    content: /*#__PURE__*/_react.default.createElement("span", null, strings.getRefreshTooltip(), /*#__PURE__*/_react.default.createElement(_tool_tip_shortcut.ToolTipShortcut, {
      namespace: "EDITOR",
      action: "REFRESH"
    }))
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiButtonIcon, {
    disabled: inFlight,
    iconType: "refresh",
    "aria-label": strings.getRefreshAriaLabel(),
    onClick: doRefresh,
    "data-test-subj": "canvas-refresh-control"
  }));
};
exports.RefreshControl = RefreshControl;
RefreshControl.propTypes = {
  doRefresh: _propTypes.default.func.isRequired,
  inFlight: _propTypes.default.bool
};