"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getStatusConfiguration = void 0;
var i18n = _interopRequireWildcard(require("./translations"));
var _types = require("./types");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

const getStatusConfiguration = () => ({
  [_types.CaseStatuses.open]: {
    color: 'success',
    label: i18n.OPEN,
    icon: 'folderOpen'
  },
  [_types.CaseStatuses['in-progress']]: {
    color: 'primary',
    label: i18n.IN_PROGRESS,
    icon: 'folderExclamation'
  },
  [_types.CaseStatuses.closed]: {
    color: 'default',
    label: i18n.CLOSED,
    icon: 'folderCheck'
  }
});
exports.getStatusConfiguration = getStatusConfiguration;