"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CaseViewObservables = void 0;
var _react = _interopRequireWildcard(require("react"));
var _eui = require("@elastic/eui");
var _types = require("../../../../common/types");
var _case_view_tabs = require("../case_view_tabs");
var _observables_table = require("../../observables/observables_table");
var _observables_utility_bar = require("../../observables/observables_utility_bar");
var _use_case_observables = require("../use_case_observables");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const CaseViewObservables = ({
  caseData,
  isLoading
}) => {
  const {
    observables,
    isLoading: isLoadingObservables
  } = (0, _use_case_observables.useCaseObservables)(caseData);
  const caseDataWithFilteredObservables = (0, _react.useMemo)(() => {
    return {
      ...caseData,
      observables
    };
  }, [caseData, observables]);
  return /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, null, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, null, /*#__PURE__*/_react.default.createElement(_case_view_tabs.CaseViewTabs, {
    caseData: caseData,
    activeTab: _types.CASE_VIEW_PAGE_TABS.OBSERVABLES
  }), /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, null, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, null, /*#__PURE__*/_react.default.createElement(_observables_utility_bar.ObservablesUtilityBar, {
    caseData: caseData
  }), /*#__PURE__*/_react.default.createElement(_observables_table.ObservablesTable, {
    caseData: caseDataWithFilteredObservables,
    isLoading: isLoading || isLoadingObservables
  })))));
};
exports.CaseViewObservables = CaseViewObservables;
CaseViewObservables.displayName = 'CaseViewObservables';