"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getDynamicValueField = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _react = _interopRequireDefault(require("react"));
var _hook_form_lib = require("@kbn/es-ui-shared-plugin/static/forms/hook_form_lib");
var _components = require("@kbn/es-ui-shared-plugin/static/forms/components");
var _constants = require("../../../common/constants");
var _fields_config = require("./fields_config");
var i18n = _interopRequireWildcard(require("./translations"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/* eslint-disable react/display-name */

const sharedProps = {
  path: 'value',
  componentProps: {
    placeholder: i18n.VALUE_PLACEHOLDER,
    euiFieldProps: {
      'data-test-subj': 'observable-value-field'
    }
  },
  component: _components.TextField
};
const cachedComponents = Object.freeze({
  generic: () => /*#__PURE__*/_react.default.createElement(_hook_form_lib.UseField, (0, _extends2.default)({}, sharedProps, {
    config: _fields_config.fieldsConfig.value.generic
  })),
  [_constants.OBSERVABLE_TYPE_EMAIL.key]: () => /*#__PURE__*/_react.default.createElement(_hook_form_lib.UseField, (0, _extends2.default)({}, sharedProps, {
    config: _fields_config.fieldsConfig.value[_constants.OBSERVABLE_TYPE_EMAIL.key]
  })),
  [_constants.OBSERVABLE_TYPE_URL.key]: () => /*#__PURE__*/_react.default.createElement(_hook_form_lib.UseField, (0, _extends2.default)({}, sharedProps, {
    config: _fields_config.fieldsConfig.value[_constants.OBSERVABLE_TYPE_URL.key]
  })),
  [_constants.OBSERVABLE_TYPE_IPV4.key]: () => /*#__PURE__*/_react.default.createElement(_hook_form_lib.UseField, (0, _extends2.default)({}, sharedProps, {
    config: _fields_config.fieldsConfig.value[_constants.OBSERVABLE_TYPE_IPV4.key]
  })),
  [_constants.OBSERVABLE_TYPE_IPV6.key]: () => /*#__PURE__*/_react.default.createElement(_hook_form_lib.UseField, (0, _extends2.default)({}, sharedProps, {
    config: _fields_config.fieldsConfig.value[_constants.OBSERVABLE_TYPE_IPV6.key]
  })),
  [_constants.OBSERVABLE_TYPE_DOMAIN.key]: () => /*#__PURE__*/_react.default.createElement(_hook_form_lib.UseField, (0, _extends2.default)({}, sharedProps, {
    config: _fields_config.fieldsConfig.value[_constants.OBSERVABLE_TYPE_DOMAIN.key]
  }))
});

/*
 * Returns value component with validation config matching the type (or generic value component if the specialized field is not found).
 */
const getDynamicValueField = observableType => {
  var _cachedComponents$obs;
  return (_cachedComponents$obs = cachedComponents[observableType]) !== null && _cachedComponents$obs !== void 0 ? _cachedComponents$obs : cachedComponents.generic;
};
exports.getDynamicValueField = getDynamicValueField;