"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.config = void 0;
var _configSchema = require("@kbn/config-schema");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

const configSchema = _configSchema.schema.object({
  // `deprecation.skip_deprecated_settings` is consistent with the equivalent ES feature and config property
  skip_deprecated_settings: _configSchema.schema.arrayOf(_configSchema.schema.string(), {
    defaultValue: []
  }),
  enable_http_debug_logs: _configSchema.schema.boolean({
    defaultValue: false
  })
});
const config = exports.config = {
  path: 'deprecation',
  schema: configSchema
};