"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.IntegrationsService = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _moment = require("./moment");
var _styles = require("./styles");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

/** @internal */
class IntegrationsService {
  constructor() {
    (0, _defineProperty2.default)(this, "styles", new _styles.StylesService());
    (0, _defineProperty2.default)(this, "moment", new _moment.MomentService());
  }
  async setup() {
    await this.styles.setup();
    await this.moment.setup();
  }
  async start({
    uiSettings
  }) {
    await this.styles.start({
      uiSettings
    });
    await this.moment.start({
      uiSettings
    });
  }
  async stop() {
    await this.styles.stop();
    await this.moment.stop();
  }
}
exports.IntegrationsService = IntegrationsService;