"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.cleanupUnknownAndExcludedDocs = void 0;
var Either = _interopRequireWildcard(require("fp-ts/lib/Either"));
var _extract_errors = require("../../../model/extract_errors");
var _helpers = require("../../../model/helpers");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

const cleanupUnknownAndExcludedDocs = (state, res, context) => {
  if (Either.isLeft(res)) {
    return {
      ...state,
      controlState: 'FATAL',
      reason: (0, _extract_errors.extractUnknownDocFailureReason)(context.migrationDocLinks.resolveMigrationFailures, res.left.unknownDocs)
    };
  }
  if (res.right.type === 'cleanup_started') {
    return {
      ...state,
      controlState: 'CLEANUP_UNKNOWN_AND_EXCLUDED_DOCS_WAIT_FOR_TASK',
      deleteTaskId: res.right.taskId
    };
  } else if (res.right.type === 'cleanup_not_needed') {
    // let's move to the step after CLEANUP_UNKNOWN_AND_EXCLUDED_DOCS_WAIT_FOR_TASK
    if (state.hasDeletedDocs) {
      return {
        ...state,
        controlState: 'CLEANUP_UNKNOWN_AND_EXCLUDED_DOCS_REFRESH'
      };
    } else {
      return {
        ...state,
        controlState: 'OUTDATED_DOCUMENTS_SEARCH_OPEN_PIT'
      };
    }
  } else {
    (0, _helpers.throwBadResponse)(state, res.right);
  }
};
exports.cleanupUnknownAndExcludedDocs = cleanupUnknownAndExcludedDocs;