"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getDashboardListItemLink = void 0;
var _public = require("@kbn/kibana-utils-plugin/public");
var _plugin_constants = require("../../plugin_constants");
var _kibana_services = require("../../services/kibana_services");
var _urls = require("../../utils/urls");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

const getDashboardListItemLink = (kbnUrlStateStorage, id, timeRestore) => {
  const useHash = _kibana_services.coreServices.uiSettings.get('state:storeInSessionStorage'); // use hash

  let url = _kibana_services.coreServices.application.getUrlForApp(_plugin_constants.DASHBOARD_APP_ID, {
    path: `#${(0, _urls.createDashboardEditUrl)(id)}`
  });
  const globalStateInUrl = kbnUrlStateStorage.get(_urls.GLOBAL_STATE_STORAGE_KEY) || {};
  if (timeRestore) {
    delete globalStateInUrl.time;
    delete globalStateInUrl.refreshInterval;
  }
  url = (0, _public.setStateToKbnUrl)(_urls.GLOBAL_STATE_STORAGE_KEY, globalStateInUrl, {
    useHash
  }, url);
  return url;
};
exports.getDashboardListItemLink = getDashboardListItemLink;