"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Charts = void 0;
var _react = _interopRequireWildcard(require("react"));
var _eui = require("@elastic/eui");
var _chart_panel = require("./chart_panel");
var _use_test_id_generator = require("../../hooks/use_test_id_generator");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const Charts = ({
  data,
  'data-test-subj': dataTestSubj
}) => {
  const getTestId = (0, _use_test_id_generator.useTestIdGenerator)(dataTestSubj);
  const [popoverOpen, setPopoverOpen] = (0, _react.useState)(null);
  const togglePopover = (0, _react.useCallback)(streamName => {
    setPopoverOpen(prev => prev === streamName ? null : streamName);
  }, []);
  return /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
    direction: "column",
    "data-test-subj": getTestId('charts')
  }, Object.entries(data).map(([metricType, series], idx) => /*#__PURE__*/_react.default.createElement(_chart_panel.ChartPanel, {
    key: metricType,
    metricType: metricType,
    series: series,
    idx: idx,
    popoverOpen: popoverOpen,
    togglePopover: togglePopover
  })));
};
exports.Charts = Charts;