"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DataUsageMetricsPage = void 0;
var _react = _interopRequireWildcard(require("react"));
var _page = require("./components/page");
var _translations = require("../translations");
var _data_usage_metrics = require("./components/data_usage_metrics");
var _use_test_id_generator = require("../hooks/use_test_id_generator");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const DataUsageMetricsPage = exports.DataUsageMetricsPage = /*#__PURE__*/(0, _react.memo)(({
  'data-test-subj': dataTestSubj = 'data-usage'
}) => {
  const getTestId = (0, _use_test_id_generator.useTestIdGenerator)(dataTestSubj);
  return /*#__PURE__*/_react.default.createElement(_page.DataUsagePage, {
    "data-test-subj": getTestId('page'),
    title: _translations.DATA_USAGE_PAGE.title,
    subtitle: _translations.DATA_USAGE_PAGE.subTitle
  }, /*#__PURE__*/_react.default.createElement(_data_usage_metrics.DataUsageMetrics, {
    "data-test-subj": getTestId('metrics')
  }));
});
DataUsageMetricsPage.displayName = 'DataUsageMetricsPage';