"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DatasetQuality = void 0;
var _eui = require("@elastic/eui");
var _ebtTools = require("@kbn/ebt-tools");
var _react = _interopRequireWildcard(require("react"));
var _use_summary_panel = _interopRequireDefault(require("../../hooks/use_summary_panel"));
var _utils = require("../../utils");
var _context = require("./context");
var _empty_state = _interopRequireDefault(require("./empty_state/empty_state"));
var _filters = _interopRequireDefault(require("./filters/filters"));
var _header = _interopRequireDefault(require("./header"));
var _summary_panel = _interopRequireDefault(require("./summary_panel/summary_panel"));
var _table = _interopRequireDefault(require("./table/table"));
var _warnings = _interopRequireDefault(require("./warnings/warnings"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const DatasetQuality = ({
  controller,
  core,
  plugins,
  telemetryClient,
  isFailureStoreEnabled
}) => {
  const KibanaContextProviderForPlugin = (0, _utils.useKibanaContextForPluginProvider)(core, plugins);
  const datasetQualityProviderValue = (0, _react.useMemo)(() => ({
    service: controller.service,
    telemetryClient,
    isFailureStoreEnabled
  }), [controller.service, isFailureStoreEnabled, telemetryClient]);
  return /*#__PURE__*/_react.default.createElement(_ebtTools.PerformanceContextProvider, null, /*#__PURE__*/_react.default.createElement(_context.DatasetQualityContext.Provider, {
    value: datasetQualityProviderValue
  }, /*#__PURE__*/_react.default.createElement(_use_summary_panel.default, null, /*#__PURE__*/_react.default.createElement(KibanaContextProviderForPlugin, null, /*#__PURE__*/_react.default.createElement(DatasetQualityContent, null)))));
};
exports.DatasetQuality = DatasetQuality;
function DatasetQualityContent() {
  return /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
    direction: "column",
    gutterSize: "l"
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
    grow: false
  }, /*#__PURE__*/_react.default.createElement(_header.default, null)), /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
    grow: false
  }, /*#__PURE__*/_react.default.createElement(_warnings.default, null)), /*#__PURE__*/_react.default.createElement(_empty_state.default, null, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
    grow: false
  }, /*#__PURE__*/_react.default.createElement(_filters.default, null)), /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
    grow: false
  }, /*#__PURE__*/_react.default.createElement(_summary_panel.default, null)), /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
    grow: false
  }, /*#__PURE__*/_react.default.createElement(_table.default, null))));
}