"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createCellRendererAccessor = void 0;
var _react = _interopRequireDefault(require("react"));
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

const createCellRendererAccessor = async cellRendererFeature => {
  if (!cellRendererFeature) return undefined;
  const cellRendererGetter = await cellRendererFeature.getRenderer();
  function getCellRenderer(fieldName) {
    const CellRenderer = cellRendererGetter(fieldName);
    if (!CellRenderer) return undefined;
    return /*#__PURE__*/_react.default.memo(function SecuritySolutionCellRenderer(props) {
      return /*#__PURE__*/_react.default.createElement(CellRenderer, props);
    });
  }
  return getCellRenderer;
};
exports.createCellRendererAccessor = createCellRendererAccessor;