"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ApplicationRedirect = void 0;
var _react = _interopRequireWildcard(require("react"));
var _public = require("@kbn/kibana-react-plugin/public");
var _sharedUxRouter = require("@kbn/shared-ux-router");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const RedirectWithReplace = () => {
  const {
    application
  } = (0, _public.useKibana)().services;
  (0, _react.useEffect)(() => {
    const fullPath = location.pathname;

    // Construct the new path by replacing 'enterprise_search' with 'elasticsearch'
    const newPath = fullPath.replace('/enterprise_search', '/elasticsearch');

    // Perform the client-side navigation using core
    application === null || application === void 0 ? void 0 : application.navigateToUrl(newPath);
  }, []);
  return null;
};
const ApplicationRedirect = () => {
  return /*#__PURE__*/_react.default.createElement(_sharedUxRouter.Routes, null, /*#__PURE__*/_react.default.createElement(_sharedUxRouter.Route, {
    path: "/*",
    component: RedirectWithReplace
  }));
};
exports.ApplicationRedirect = ApplicationRedirect;