"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.builtInKubernetesCronJobEcsEntityDefinition = void 0;
var _constants = require("../../constants");
var _ecs_index_patterns = require("./ecs_index_patterns");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const builtInKubernetesCronJobEcsEntityDefinition = exports.builtInKubernetesCronJobEcsEntityDefinition = {
  type: {
    id: `${_constants.BUILT_IN_ID_PREFIX}kubernetes_cron_job_ecs`,
    display_name: 'Kubernetes CronJobs (ECS)'
  },
  sources: [{
    id: `${_constants.BUILT_IN_ID_PREFIX}kubernetes_cron_job_ecs_ecs`,
    type_id: `${_constants.BUILT_IN_ID_PREFIX}kubernetes_cron_job_ecs`,
    index_patterns: _ecs_index_patterns.commonEcsIndexPatterns,
    identity_fields: ['kubernetes.cronjob.name'],
    display_name: 'kubernetes.cronjob.name',
    timestamp_field: '@timestamp',
    metadata_fields: [],
    filters: ['kubernetes.cronjob.name: *']
  }]
};