"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getAnnotationByIdRt = exports.deleteAnnotationRt = exports.createAnnotationRt = void 0;
var t = _interopRequireWildcard(require("io-ts"));
var _Either = require("fp-ts/lib/Either");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/**
 * Checks whether a string is a valid ISO timestamp,
 * but doesn't convert it into a Date object when decoding.
 *
 * Copied from x-pack/solutions/observability/plugins/apm/common/runtime_types/date_as_string_rt.ts.
 */
const dateAsStringRt = new t.Type('DateAsString', t.string.is, (input, context) => _Either.either.chain(t.string.validate(input, context), str => {
  const date = new Date(str);
  return isNaN(date.getTime()) ? t.failure(input, context) : t.success(str);
}), t.identity);
const createAnnotationRt = exports.createAnnotationRt = t.intersection([t.type({
  annotation: t.type({
    type: t.string
  }),
  '@timestamp': dateAsStringRt,
  message: t.string
}), t.partial({
  tags: t.array(t.string),
  service: t.partial({
    name: t.string,
    environment: t.string,
    version: t.string
  })
})]);
const deleteAnnotationRt = exports.deleteAnnotationRt = t.type({
  id: t.string
});
const getAnnotationByIdRt = exports.getAnnotationByIdRt = t.type({
  id: t.string
});