"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.validateRequiredVersions = validateRequiredVersions;
var _errors = require("../../errors");
var _ = require("..");
var _agent_utils = require("../../../common/services/agent_utils");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function validateRequiredVersions(name, requiredVersions) {
  if (!requiredVersions) {
    return;
  }
  if (!_.appContextService.getExperimentalFeatures().enableAutomaticAgentUpgrades) {
    throw new _errors.AgentPolicyInvalidError(`Policy "${name}" failed validation: required_versions are not allowed when automatic upgrades feature is disabled`);
  }
  const error = (0, _agent_utils.checkTargetVersionsValidity)(requiredVersions);
  if (error) {
    throw new _errors.AgentPolicyInvalidError(`Policy "${name}" failed required_versions validation: ${error}`);
  }
}