"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.convertStreamError = void 0;
var _inferenceCommon = require("@kbn/inference-common");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/**
 * Error line from standard openAI providers
 */

/**
 * Error line from the Elastic inference API.
 */

/**
 * Error line not respecting either of those two formats.
 */

const convertStreamError = ({
  error
}) => {
  if ('message' in error) {
    return (0, _inferenceCommon.createInferenceInternalError)(error.message);
  } else if ('reason' in error) {
    return (0, _inferenceCommon.createInferenceInternalError)(`${error.type} - ${error.reason}`);
  } else {
    return (0, _inferenceCommon.createInferenceInternalError)(JSON.stringify(error));
  }
};
exports.convertStreamError = convertStreamError;