"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.XY_Y_WRONG_DATA_TYPE = exports.XY_Y_MISSING_AXIS = exports.XY_X_WRONG_DATA_TYPE = exports.XY_RENDER_ARRAY_VALUES = exports.XY_MIXED_LOG_SCALE_DIMENSION = exports.XY_MIXED_LOG_SCALE = exports.XY_BREAKDOWN_MISSING_AXIS = exports.WAFFLE_SMALL_VALUES = exports.URL_CONFLICT = exports.UNSUPPORTED_DOWNSAMPLED_INDEX_AGG_PREFIX = exports.TSDB_UNSUPPORTED_COUNTER_OP = exports.TIME_SHIFT_MULTIPLE_DATE_HISTOGRAMS = exports.TIMESHIFT_NOT_MULTIPLE_INTERVAL = exports.TIMESHIFT_LT_INTERVAL = exports.TIMERANGE_OP_MISSING_TIME_RANGE = exports.TIMERANGE_OP_DATAVIEW_NOT_TIME_BASED = exports.TEXT_BASED_LANGUAGE_ERROR = exports.TERMS_WITH_MULTIPLE_TIMESHIFT = exports.TERMS_MULTI_TERMS_AND_SCRIPTED_FIELDS = exports.STATIC_VALUE_NOT_VALID_NUMBER = exports.REDUCED_TIME_RANGE_NO_DATE_HISTOGRAM = exports.REDUCED_TIME_RANGE_DEFAULT_DATE_FIELD = exports.PRECISION_ERROR_ASC_COUNT_PRECISION = exports.PRECISION_ERROR_ACCURACY_MODE_ENABLED = exports.PRECISION_ERROR_ACCURACY_MODE_DISABLED = exports.PIE_TOO_MANY_DIMENSIONS = exports.PIE_RENDER_ARRAY_VALUES = exports.MISSING_TIME_RANGE_ON_EMBEDDABLE = exports.METRIC_NUMERIC_MAX = exports.LAYER_SETTINGS_RANDOM_SAMPLING_INFO = exports.LAYER_SETTINGS_IGNORE_GLOBAL_FILTERS = exports.LAST_VALUE_OP_SORT_FIELD_NOT_FOUND = exports.LAST_VALUE_OP_SORT_FIELD_INVALID_TYPE = exports.INTERVAL_OP_MISSING_UI_SETTINGS_HISTOGRAM_BAR_TARGET = exports.INTERVAL_OP_MISSING_TIME_RANGE = exports.INTERVAL_OP_MISSING_DATE_HISTOGRAM_TO_COMPUTE_INTERVAL = exports.INCOMPLETE_ES_RESULTS = exports.HEATMAP_X_MISSING_AXIS = exports.HEATMAP_RENDER_ARRAY_VALUES = exports.GAUGE_MIN_NE_MAX = exports.GAUGE_MIN_GT_METRIC = exports.GAUGE_MIN_GT_MAX = exports.GAUGE_MIN_GT_GOAL = exports.GAUGE_METRIC_GT_MAX = exports.GAUGE_GOAL_GT_MAX = exports.FORMULA_LAYER_ONLY_STATIC_VALUES = exports.FIELD_WRONG_TYPE = exports.FIELD_NOT_FOUND = exports.EDITOR_UNKNOWN_VIS_TYPE = exports.EDITOR_UNKNOWN_DATASOURCE_TYPE = exports.EDITOR_MISSING_VIS_TYPE = exports.EDITOR_MISSING_EXPRESSION_DATAVIEW = exports.EDITOR_MISSING_DATAVIEW = exports.EDITOR_INVALID_DIMENSION = exports.CALCULATIONS_WRONG_DIMENSION_CONFIG = exports.CALCULATIONS_MISSING_COLUMN_REFERENCE = exports.CALCULATIONS_DATE_HISTOGRAM_REQUIRED = exports.ANNOTATION_TIME_FIELD_NOT_FOUND = exports.ANNOTATION_TEXT_FIELD_NOT_FOUND = exports.ANNOTATION_MISSING_TOOLTIP_FIELD = exports.ANNOTATION_MISSING_TIME_FIELD = exports.ANNOTATION_MISSING_DATE_HISTOGRAM = exports.ANNOTATION_INVALID_FILTER_QUERY = void 0;
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const PRECISION_ERROR_ACCURACY_MODE_ENABLED = exports.PRECISION_ERROR_ACCURACY_MODE_ENABLED = 'layer_settings_accuracy_mode_enabled';
const PRECISION_ERROR_ACCURACY_MODE_DISABLED = exports.PRECISION_ERROR_ACCURACY_MODE_DISABLED = 'layer_settings_accuracy_mode_disabled';
const PRECISION_ERROR_ASC_COUNT_PRECISION = exports.PRECISION_ERROR_ASC_COUNT_PRECISION = 'precision_error_asc_count_precision';
const TSDB_UNSUPPORTED_COUNTER_OP = exports.TSDB_UNSUPPORTED_COUNTER_OP = 'tsdb_unsupported_counter_op';
const LAYER_SETTINGS_RANDOM_SAMPLING_INFO = exports.LAYER_SETTINGS_RANDOM_SAMPLING_INFO = 'random_sampling_info';
const LAYER_SETTINGS_IGNORE_GLOBAL_FILTERS = exports.LAYER_SETTINGS_IGNORE_GLOBAL_FILTERS = 'ignoring-global-filters-layers';
const EDITOR_MISSING_VIS_TYPE = exports.EDITOR_MISSING_VIS_TYPE = 'editor_missing_vis_type';
const EDITOR_UNKNOWN_VIS_TYPE = exports.EDITOR_UNKNOWN_VIS_TYPE = 'editor_unknown_vis_type';
const EDITOR_UNKNOWN_DATASOURCE_TYPE = exports.EDITOR_UNKNOWN_DATASOURCE_TYPE = 'editor_unknown_datasource_type';
const EDITOR_MISSING_DATAVIEW = exports.EDITOR_MISSING_DATAVIEW = 'editor_missing_dataview';
const EDITOR_MISSING_EXPRESSION_DATAVIEW = exports.EDITOR_MISSING_EXPRESSION_DATAVIEW = 'editor_missing_expression_dataview';
const EDITOR_INVALID_DIMENSION = exports.EDITOR_INVALID_DIMENSION = 'editor_invalid_dimension';
const TIMESHIFT_LT_INTERVAL = exports.TIMESHIFT_LT_INTERVAL = 'timeshift_smaller_then_interval';
const TIMESHIFT_NOT_MULTIPLE_INTERVAL = exports.TIMESHIFT_NOT_MULTIPLE_INTERVAL = 'timeshift_not_multiple_interval';
const TERMS_WITH_MULTIPLE_TIMESHIFT = exports.TERMS_WITH_MULTIPLE_TIMESHIFT = 'terms_with_multiple_timeshift';
const TERMS_MULTI_TERMS_AND_SCRIPTED_FIELDS = exports.TERMS_MULTI_TERMS_AND_SCRIPTED_FIELDS = 'terms_wit_multiple_terms_scripted_fields';
const REDUCED_TIME_RANGE_NO_DATE_HISTOGRAM = exports.REDUCED_TIME_RANGE_NO_DATE_HISTOGRAM = 'reduced_time_range_no_date_histogram';
const REDUCED_TIME_RANGE_DEFAULT_DATE_FIELD = exports.REDUCED_TIME_RANGE_DEFAULT_DATE_FIELD = 'reduced_time_range_default_date_field';
const FIELD_NOT_FOUND = exports.FIELD_NOT_FOUND = 'field_not_found';
const FIELD_WRONG_TYPE = exports.FIELD_WRONG_TYPE = 'field_wrong_type';
const UNSUPPORTED_DOWNSAMPLED_INDEX_AGG_PREFIX = exports.UNSUPPORTED_DOWNSAMPLED_INDEX_AGG_PREFIX = 'unsupported_aggregation_on_downsampled_index-';
/**
 * A warning object for a search response with incomplete ES results
 * ES returns incomplete results when:
 * 1) Set timeout flag on search and the timeout expires on cluster
 * 2) Some shard failures on a cluster
 * 3) skipped remote(s) (skip_unavailable=true)
 *   a. all shards failed
 *   b. disconnected/not-connected
 */
const INCOMPLETE_ES_RESULTS = exports.INCOMPLETE_ES_RESULTS = 'incomplete_es_results';
const CALCULATIONS_DATE_HISTOGRAM_REQUIRED = exports.CALCULATIONS_DATE_HISTOGRAM_REQUIRED = 'calculations_date_histogram_required';
const CALCULATIONS_MISSING_COLUMN_REFERENCE = exports.CALCULATIONS_MISSING_COLUMN_REFERENCE = 'calculations_missing_column_reference';
const CALCULATIONS_WRONG_DIMENSION_CONFIG = exports.CALCULATIONS_WRONG_DIMENSION_CONFIG = 'calculations_wrong_dimension_configuration';
const TIME_SHIFT_MULTIPLE_DATE_HISTOGRAMS = exports.TIME_SHIFT_MULTIPLE_DATE_HISTOGRAMS = 'time_shift_multiple_date_histograms';
const INTERVAL_OP_MISSING_UI_SETTINGS_HISTOGRAM_BAR_TARGET = exports.INTERVAL_OP_MISSING_UI_SETTINGS_HISTOGRAM_BAR_TARGET = 'missing_ui_settings_histogram_bar_target';
const INTERVAL_OP_MISSING_TIME_RANGE = exports.INTERVAL_OP_MISSING_TIME_RANGE = 'interval_op_missing_time_range';
const INTERVAL_OP_MISSING_DATE_HISTOGRAM_TO_COMPUTE_INTERVAL = exports.INTERVAL_OP_MISSING_DATE_HISTOGRAM_TO_COMPUTE_INTERVAL = 'missing_date_histogram_to_compute_interval';
const TIMERANGE_OP_DATAVIEW_NOT_TIME_BASED = exports.TIMERANGE_OP_DATAVIEW_NOT_TIME_BASED = 'timerange_op_dataview_not_time_based';
const TIMERANGE_OP_MISSING_TIME_RANGE = exports.TIMERANGE_OP_MISSING_TIME_RANGE = 'timerange_op_missing_time_range';
const LAST_VALUE_OP_SORT_FIELD_NOT_FOUND = exports.LAST_VALUE_OP_SORT_FIELD_NOT_FOUND = 'last_value_op_sort_field_not_found';
const LAST_VALUE_OP_SORT_FIELD_INVALID_TYPE = exports.LAST_VALUE_OP_SORT_FIELD_INVALID_TYPE = 'last_value_op_sort_field_invalid_type';
const FORMULA_LAYER_ONLY_STATIC_VALUES = exports.FORMULA_LAYER_ONLY_STATIC_VALUES = 'formula_layer_only_static_values';
const STATIC_VALUE_NOT_VALID_NUMBER = exports.STATIC_VALUE_NOT_VALID_NUMBER = 'static_value_not_valid_number';

/** Annotations require a time based chart to work. Add a date histogram. */
const ANNOTATION_MISSING_DATE_HISTOGRAM = exports.ANNOTATION_MISSING_DATE_HISTOGRAM = 'annotation_missing_date_histogram';
const ANNOTATION_MISSING_TIME_FIELD = exports.ANNOTATION_MISSING_TIME_FIELD = 'annotation_missing_time_field';
const ANNOTATION_MISSING_TOOLTIP_FIELD = exports.ANNOTATION_MISSING_TOOLTIP_FIELD = 'annotation_missing_tooltip_field';
const ANNOTATION_TIME_FIELD_NOT_FOUND = exports.ANNOTATION_TIME_FIELD_NOT_FOUND = 'annotation_time_field_not_found_in_dataview';
const ANNOTATION_TEXT_FIELD_NOT_FOUND = exports.ANNOTATION_TEXT_FIELD_NOT_FOUND = 'annotation_text_field_not_found_in_dataview';
const ANNOTATION_INVALID_FILTER_QUERY = exports.ANNOTATION_INVALID_FILTER_QUERY = 'annotation_invalid_filter_query';
const XY_BREAKDOWN_MISSING_AXIS = exports.XY_BREAKDOWN_MISSING_AXIS = 'xy_breakdown_missing_axis';
const XY_Y_MISSING_AXIS = exports.XY_Y_MISSING_AXIS = 'xy_y_missing_axis';
const XY_X_WRONG_DATA_TYPE = exports.XY_X_WRONG_DATA_TYPE = 'xy_x_wrong_data_type';
const XY_Y_WRONG_DATA_TYPE = exports.XY_Y_WRONG_DATA_TYPE = 'xy_y_wrong_data_type';
const XY_RENDER_ARRAY_VALUES = exports.XY_RENDER_ARRAY_VALUES = 'xy_rendering_values_array';
const XY_MIXED_LOG_SCALE = exports.XY_MIXED_LOG_SCALE = 'xy_mixed_log_scale-groupid-';
const XY_MIXED_LOG_SCALE_DIMENSION = exports.XY_MIXED_LOG_SCALE_DIMENSION = 'xy_mixed_log_scale-dimension-';
const PIE_TOO_MANY_DIMENSIONS = exports.PIE_TOO_MANY_DIMENSIONS = 'pie_too_many_dimensions';
const PIE_RENDER_ARRAY_VALUES = exports.PIE_RENDER_ARRAY_VALUES = 'pie_rendering_values_array';
const WAFFLE_SMALL_VALUES = exports.WAFFLE_SMALL_VALUES = 'waffle_small_values';
const METRIC_NUMERIC_MAX = exports.METRIC_NUMERIC_MAX = 'metric_max_numeric';
const HEATMAP_X_MISSING_AXIS = exports.HEATMAP_X_MISSING_AXIS = 'heatmap_x_missing_axis';
const HEATMAP_RENDER_ARRAY_VALUES = exports.HEATMAP_RENDER_ARRAY_VALUES = 'heatmap_rendering_values_array';
const GAUGE_MIN_GT_MAX = exports.GAUGE_MIN_GT_MAX = 'gauge_min_gt_max';
const GAUGE_MIN_GT_METRIC = exports.GAUGE_MIN_GT_METRIC = 'gauge_min_gt_metric';
const GAUGE_MIN_GT_GOAL = exports.GAUGE_MIN_GT_GOAL = 'gauge_min_gt_goal';
const GAUGE_MIN_NE_MAX = exports.GAUGE_MIN_NE_MAX = 'gauge_min_ne_max';
const GAUGE_METRIC_GT_MAX = exports.GAUGE_METRIC_GT_MAX = 'gauge_metric_gt_max';
const GAUGE_GOAL_GT_MAX = exports.GAUGE_GOAL_GT_MAX = 'gauge_goal_gt_max';
const TEXT_BASED_LANGUAGE_ERROR = exports.TEXT_BASED_LANGUAGE_ERROR = 'text_based_lang_error';
const URL_CONFLICT = exports.URL_CONFLICT = 'url-conflict';
const MISSING_TIME_RANGE_ON_EMBEDDABLE = exports.MISSING_TIME_RANGE_ON_EMBEDDABLE = 'missing-time-range-on-embeddable';