"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.renderApp = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactDom = require("react-dom");
var _sharedUxRouter = require("@kbn/shared-ux-router");
var _app_providers = require("./app_providers");
var _app = require("./app.container");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

// @ts-ignore

const AppWithRouter = props => /*#__PURE__*/_react.default.createElement(_sharedUxRouter.Router, {
  history: props.history
}, /*#__PURE__*/_react.default.createElement(_app.App, props));
const renderApp = (element, dependencies) => {
  (0, _reactDom.render)(/*#__PURE__*/_react.default.createElement(_app_providers.AppProviders, {
    appDependencies: dependencies
  }, /*#__PURE__*/_react.default.createElement(AppWithRouter, {
    telemetry: dependencies.plugins.telemetry,
    history: dependencies.services.history,
    executionContext: dependencies.core.executionContext
  })), element);
  return () => {
    (0, _reactDom.unmountComponentAtNode)(element);
  };
};
exports.renderApp = renderApp;