"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isParentApiCompatible = void 0;
var _presentationContainers = require("@kbn/presentation-containers");
var _presentationPublishing = require("@kbn/presentation-publishing");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

const isParentApiCompatible = parentApi => (0, _presentationContainers.apiIsPresentationContainer)(parentApi) && (0, _presentationPublishing.apiPublishesSavedObjectId)(parentApi) && (0, _presentationPublishing.apiPublishesTitle)(parentApi) && (0, _presentationPublishing.apiPublishesDescription)(parentApi);
exports.isParentApiCompatible = isParentApiCompatible;