"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createLogsOverview = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _managementSettingsIds = require("@kbn/management-settings-ids");
var _sharedUxUtility = require("@kbn/shared-ux-utility");
var _react = _interopRequireDefault(require("react"));
var _useObservable = _interopRequireDefault(require("react-use/lib/useObservable"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; } /*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */
const LazyLogsOverview = (0, _sharedUxUtility.dynamic)(() => Promise.resolve().then(() => _interopRequireWildcard(require('@kbn/logs-overview'))).then(mod => ({
  default: mod.LogsOverview
})));
const LazyLogsOverviewErrorContent = (0, _sharedUxUtility.dynamic)(() => Promise.resolve().then(() => _interopRequireWildcard(require('@kbn/logs-overview'))).then(mod => ({
  default: mod.LogsOverviewErrorContent
})));
const LazyLogsOverviewLoadingContent = (0, _sharedUxUtility.dynamic)(() => Promise.resolve().then(() => _interopRequireWildcard(require('@kbn/logs-overview'))).then(mod => ({
  default: mod.LogsOverviewLoadingContent
})));
const createLogsOverview = dependencies => {
  const SelfContainedLogsOverview = props => {
    return /*#__PURE__*/_react.default.createElement(LazyLogsOverview, (0, _extends2.default)({
      dependencies: dependencies
    }, props));
  };
  const isEnabled$ = dependencies.uiSettings.client.get$(_managementSettingsIds.OBSERVABILITY_LOGS_SHARED_NEW_LOGS_OVERVIEW_ID, defaultIsEnabled);
  SelfContainedLogsOverview.useIsEnabled = () => {
    return (0, _useObservable.default)(isEnabled$, defaultIsEnabled);
  };
  SelfContainedLogsOverview.ErrorContent = LazyLogsOverviewErrorContent;
  SelfContainedLogsOverview.LoadingContent = LazyLogsOverviewLoadingContent;
  return SelfContainedLogsOverview;
};
exports.createLogsOverview = createLogsOverview;
const defaultIsEnabled = false;