"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.JobInfoFlyoutsManager = void 0;
var _react = _interopRequireWildcard(require("react"));
var _mlUrlState = require("@kbn/ml-url-state");
var _moment = _interopRequireDefault(require("moment"));
var _job_details_flyout = require("./job_details_flyout");
var _datafeed_chart_flyout = require("../../jobs_list/components/datafeed_chart_flyout");
var _job_details_flyout_context = require("./job_details_flyout_context");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const JobInfoFlyoutsManager = () => {
  var _globalState$time2;
  const {
    isDatafeedChartFlyoutOpen,
    activeJobId,
    closeActiveFlyout
  } = (0, _react.useContext)(_job_details_flyout_context.JobInfoFlyoutsContext);
  const [globalState] = (0, _mlUrlState.useUrlState)('_g');
  const end = (0, _react.useMemo)(() => {
    var _ref, _globalState$time;
    return (_ref = (0, _moment.default)(globalState === null || globalState === void 0 ? void 0 : (_globalState$time = globalState.time) === null || _globalState$time === void 0 ? void 0 : _globalState$time.to).unix() * 1000) !== null && _ref !== void 0 ? _ref : 0;
  }, [globalState === null || globalState === void 0 ? void 0 : (_globalState$time2 = globalState.time) === null || _globalState$time2 === void 0 ? void 0 : _globalState$time2.to]);
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_job_details_flyout.JobDetailsFlyout, null), isDatafeedChartFlyoutOpen && activeJobId ? /*#__PURE__*/_react.default.createElement(_datafeed_chart_flyout.DatafeedChartFlyout, {
    onClose: closeActiveFlyout,
    jobId: activeJobId,
    end: end
  }) : null);
};
exports.JobInfoFlyoutsManager = JobInfoFlyoutsManager;