/*! Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one or more contributor license agreements.
 * Licensed under the Elastic License 2.0; you may not use this file except in compliance with the Elastic License 2.0. */(()=>{var e={183:(e,t,s)=>{"use strict";s.r(t),s.d(t,{plugin:()=>m});var i=s(915);const n=__kbnSharedDeps__.Rxjs,r=__kbnSharedDeps__.KbnI18n;let a=function(e){return e[e.basic=10]="basic",e[e.standard=20]="standard",e[e.gold=30]="gold",e[e.platinum=40]="platinum",e[e.enterprise=50]="enterprise",e[e.trial=60]="trial",e}({});class License{static fromJSON(e){return new License(e)}constructor({license:e,features:t,error:s,signature:n}){(0,i.default)(this,"license",void 0),(0,i.default)(this,"features",void 0),(0,i.default)(this,"error",void 0),(0,i.default)(this,"isActive",void 0),(0,i.default)(this,"isAvailable",void 0),(0,i.default)(this,"uid",void 0),(0,i.default)(this,"status",void 0),(0,i.default)(this,"expiryDateInMillis",void 0),(0,i.default)(this,"type",void 0),(0,i.default)(this,"mode",void 0),(0,i.default)(this,"signature",void 0),this.isAvailable=Boolean(e),this.license=e,this.features=t,this.error=s,this.signature=n,e&&(this.uid=e.uid,this.status=e.status,this.expiryDateInMillis=e.expiryDateInMillis,this.type=e.type,this.mode=e.mode),this.isActive="active"===this.status}toJSON(){return{license:this.license,features:this.features,signature:this.signature}}getUnavailableReason(){return this.error?this.error:this.isAvailable?void 0:"X-Pack plugin is not installed on the Elasticsearch cluster."}hasAtLeast(e){const t=this.type;if(!t)return!1;if(!(e in a))throw new Error(`"${e}" is not a valid license type`);return a[e]<=a[t]}check(e,t){return this.isAvailable?this.isActive?this.hasAtLeast(t)?{state:"valid"}:{state:"invalid",message:r.i18n.translate("xpack.licensing.check.errorUnsupportedMessage",{defaultMessage:"Your {licenseType} license does not support {pluginName}. Please upgrade your license.",values:{licenseType:this.type,pluginName:e}})}:{state:"expired",message:r.i18n.translate("xpack.licensing.check.errorExpiredMessage",{defaultMessage:"You cannot use {pluginName} because your {licenseType} license has expired.",values:{licenseType:this.type,pluginName:e}})}:{state:"unavailable",message:r.i18n.translate("xpack.licensing.check.errorUnavailableMessage",{defaultMessage:"You cannot use {pluginName} because license information is not available at this time.",values:{pluginName:e}})}}getFeature(e){return this.isAvailable&&this.features&&Object.hasOwn(this.features,e)?{...this.features[e]}:{isAvailable:!1,isEnabled:!1}}}const o=__kbnSharedDeps__.React,l=__kbnSharedDeps__.ElasticEui,c=__kbnSharedDeps__.KbnI18nReact,u=__kbnSharedDeps__.ReactDom;var p=s.n(u);const h=__kbnSharedDeps__.KbnReactKibanaContextRender,d=__kbnSharedDeps__.EmotionReact;o.Component;const g=e=>(0,d.jsx)(l.EuiCallOut,{iconType:"help",color:"warning","data-test-subj":"licenseExpiredBanner",title:(0,d.jsx)(c.FormattedMessage,{id:"xpack.licensing.welcomeBanner.licenseIsExpiredTitle",defaultMessage:"Your {licenseType} license is expired",values:{licenseType:e.type}})},(0,d.jsx)(c.FormattedMessage,{id:"xpack.licensing.welcomeBanner.licenseIsExpiredDescription",defaultMessage:"Contact your administrator or {updateYourLicenseLinkText} directly.",values:{updateYourLicenseLinkText:(0,d.jsx)("a",{href:e.uploadUrl},(0,d.jsx)(c.FormattedMessage,{id:"xpack.licensing.welcomeBanner.licenseIsExpiredDescription.updateYourLicenseLinkText",defaultMessage:"update your license"}))}})),f=__kbnSharedDeps__.Lodash;class FeatureUsageService{constructor(){(0,i.default)(this,"registrations",[])}setup(){return{register:async(e,t)=>{this.registrations.push({featureName:e,licenseType:t})}}}start({http:e}){const t=e.anonymousPaths.isAnonymous(window.location.pathname)||0===this.registrations.length?Promise.resolve():e.post("/internal/licensing/feature_usage/register",{body:JSON.stringify(this.registrations)});return{notifyUsage:async(s,i=Date.now())=>{if(e.anonymousPaths.isAnonymous(window.location.pathname))return;await t;const n=(0,f.isDate)(i)?i.getTime():i;await e.post("/internal/licensing/feature_usage/notify",{body:JSON.stringify({featureName:s,lastUsed:n})})}}}}const v="xpack.licensing";class LicensingPlugin{constructor(e,t=sessionStorage){(0,i.default)(this,"stop$",new n.Subject),(0,i.default)(this,"removeInterceptor",void 0),(0,i.default)(this,"internalSubscription",void 0),(0,i.default)(this,"isLicenseExpirationBannerShown",!1),(0,i.default)(this,"infoEndpoint","/api/licensing/info"),(0,i.default)(this,"coreStart",void 0),(0,i.default)(this,"prevSignature",void 0),(0,i.default)(this,"refresh",void 0),(0,i.default)(this,"license$",void 0),(0,i.default)(this,"featureUsage",new FeatureUsageService),(0,i.default)(this,"fetchLicense",(async e=>{try{const t=await e.http.get({path:this.infoEndpoint,asSystemRequest:!0});return new License({license:t.license,features:t.features,signature:t.signature})}catch(e){return new License({error:e.message,signature:""})}})),this.storage=t}getSaved(){const e=this.storage.getItem(v);if(e)return License.fromJSON(JSON.parse(e))}save(e){this.storage.setItem(v,JSON.stringify(e))}removeSaved(){this.storage.removeItem(v)}setup(e){const t=new n.Subject,{license$:s,refreshManually:i}=function(e,t,s,i){const r=new n.Subject,a=(0,n.merge)(e,r).pipe((0,n.takeUntil)(t),(0,n.exhaustMap)(s),(0,n.share)()),o=i?[void 0,i]:[void 0],l=a.pipe((0,n.startWith)(...o),(0,n.pairwise)(),(0,n.filter)((([e,t])=>{return(s=e)!==(i=t)&&(!s||i.error!==s.error||i.type!==s.type||i.status!==s.status||i.expiryDateInMillis!==s.expiryDateInMillis||i.isAvailable!==s.isAvailable);var s,i})),(0,n.map)((([,e])=>e)),(0,n.shareReplay)(1)),c=l.subscribe();return t.pipe((0,n.finalize)((()=>{r.complete(),c.unsubscribe()}))).subscribe(),{license$:l,refreshManually(){const e=(0,n.firstValueFrom)(a);return r.next(),e}}}(t,this.stop$,(()=>this.fetchLicense(e)),this.getSaved());return function(e,t){e.registerContextProvider({name:"license info",context$:t.pipe((0,n.map)((e=>({license_id:e.uid,license_status:e.status,license_type:e.type})))),schema:{license_id:{type:"keyword",_meta:{description:"The license ID",optional:!0}},license_status:{type:"keyword",_meta:{description:"The license Status (active/invalid/expired)",optional:!0}},license_type:{type:"keyword",_meta:{description:"The license Type (basic/standard/gold/platinum/enterprise/trial)",optional:!0}}}})}(e.analytics,s),this.internalSubscription=s.subscribe((e=>{e.isAvailable?(this.prevSignature=e.signature,this.save(e)):(this.prevSignature=void 0,this.removeSaved()),"expired"===e.status&&!this.isLicenseExpirationBannerShown&&this.coreStart&&(this.isLicenseExpirationBannerShown=!0,this.showExpiredBanner(e))})),this.removeInterceptor=e.http.intercept({response:async s=>{if(e.http.anonymousPaths.isAnonymous(window.location.pathname))return s;if(s.response){const e=s.response.headers.get("kbn-license-sig");"string"==typeof e&&this.prevSignature!==e&&(s.request.url.includes(this.infoEndpoint)||t.next())}return s}}),this.refresh=i,this.license$=s,{refresh:i,license$:s,featureUsage:this.featureUsage.setup()}}start(e){if(this.coreStart=e,!this.refresh||!this.license$)throw new Error("Setup has not been completed");return{refresh:this.refresh,getLicense:async()=>await(0,n.firstValueFrom)(this.license$),license$:this.license$,featureUsage:this.featureUsage.start({http:e.http})}}stop(){this.stop$.next(),this.stop$.complete(),void 0!==this.removeInterceptor&&this.removeInterceptor(),void 0!==this.internalSubscription&&(this.internalSubscription.unsubscribe(),this.internalSubscription=void 0)}showExpiredBanner(e){const t=this.coreStart,s=t.http.basePath.prepend("/app/management/stack/license_management/upload_license");t.overlays.banners.add((({type:e,uploadUrl:t,...s})=>{return i=(0,d.jsx)(g,{type:e,uploadUrl:t}),n=s,e=>(p().render((0,d.jsx)(h.KibanaRenderContextProvider,n,i),e),()=>p().unmountComponentAtNode(e));var i,n})({type:e.type,uploadUrl:s,...t}))}}const m=e=>new LicensingPlugin(e)},63:(e,t,s)=>{s.p=window.__kbnPublicPath__.licensing},915:(e,t,s)=>{e.exports=s(497)(67493)},497:e=>{"use strict";e.exports=__kbnSharedDeps_npm__}},t={};function s(i){var n=t[i];if(void 0!==n)return n.exports;var r=t[i]={exports:{}};return e[i](r,r.exports,s),r.exports}s.n=e=>{var t=e&&e.__esModule?()=>e.default:()=>e;return s.d(t,{a:t}),t},s.d=(e,t)=>{for(var i in t)s.o(t,i)&&!s.o(e,i)&&Object.defineProperty(e,i,{enumerable:!0,get:t[i]})},s.g=function(){if("object"==typeof globalThis)return globalThis;try{return this||new Function("return this")()}catch(e){if("object"==typeof window)return window}}(),s.o=(e,t)=>Object.prototype.hasOwnProperty.call(e,t),s.r=e=>{"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(e,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(e,"__esModule",{value:!0})},(()=>{var e;s.g.importScripts&&(e=s.g.location+"");var t=s.g.document;if(!e&&t&&(t.currentScript&&"SCRIPT"===t.currentScript.tagName.toUpperCase()&&(e=t.currentScript.src),!e)){var i=t.getElementsByTagName("script");if(i.length)for(var n=i.length-1;n>-1&&(!e||!/^http(s?):/.test(e));)e=i[n--].src}if(!e)throw new Error("Automatic publicPath is not supported in this browser");e=e.replace(/#.*$/,"").replace(/\?.*$/,"").replace(/\/[^\/]+$/,"/"),s.p=e})(),s(63),__kbnBundles__.define("plugin/licensing/public",s,183)})();